package com.red.circle.console.app.service.app.sys;


import java.util.Set;

/**
 * 请求黑名单
 *
 * @author lisizhe on 2023/11/3
 */
public interface RequestBlacklistService {

  void addIp(String ip);

  void addPhoneModel(String phoneModel);

  void delKey(String key);

  boolean matchIpOrPhoneModel(String ip, String phoneModel);

  Set<String> getKeys();
}
